<template>
    <a href="#" class="block py-3 px-4 text-gray-600 hover:bg-gray-300" @click.prevent="handleClick">
        <slot />
    </a>
</template>
<script>
export default {
    methods: {
        handleClick() {
            this.$emit('click', event);
            this.$parent.close();
        }
    },
}
</script>